# $Revision: 1.59 $, $Date: 2012/06/19 15:09:05 $
Summary:	Library for rich GUIs
Summary(pl.UTF-8):	Biblioteka do bogatych graficznych interfejsów użytkownika
Name:		clutter
Version:	1.10.8
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/clutter/1.10/%{name}-%{version}.tar.xz
# Source0-md5:	ec951ad480c732fdedc3023eafe73529
Patch0:		gtkdoc.patch
Patch1:		missing.patch
URL:		http://www.clutter-project.org/
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	atk-devel >= 1:2.1.5
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	cairo-gobject-devel >= 1.10
BuildRequires:	cogl-devel >= 1.10.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.31.19
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	gtk+3-devel >= 3.3.18
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	json-glib-devel >= 0.12.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxslt-progs
BuildRequires:	pango-devel >= 1:1.20
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.4
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel >= 4
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xz
Requires:	atk >= 1:2.1.5
Requires:	cairo-gobject >= 1.10
Requires:	cogl >= 1.10.0
Requires:	glib2 >= 1:2.31.19
Requires:	gtk+3 >= 3.3.18
Requires:	json-glib >= 0.12.0
Requires:	pango >= 1:1.20
Obsoletes:	clutter-cairo < 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clutter is an open source software library for creating fast, visually
rich graphical user interfaces. The most obvious example of potential
usage is in media center type applications. We hope however it can be
used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but
with an API which hides the underlying GL complexity from the
developer. The Clutter API is intended to be easy to use, efficient
and flexible.

%description -l pl.UTF-8
Clutter to biblioteka o otwartych źródłach do tworzenia szybkich,
bogatych wizualnie graficznych interfejsów użytkownika. Najbardziej
oczywistym przykładem potencjalnego zastosowania są aplikacje typu
centrum multimedialne. Jednak autorzy mają nadzieję, że znajdzie się
więcej zastosowań.

Clutter wykorzystuje OpenGL (i wkrótce opcjonalnie OpenGL ES) do
renderowania, ale API ukrywa złożoność warstwy GL przed programistami.
API biblioteki Clutter ma być łatwe w użyciu, wydajne i elastyczne.

%package devel
Summary:	Header files for clutter library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki clutter
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLX-devel
Requires:	atk-devel >= 1:2.1.5
Requires:	cairo-gobject-devel >= 1.10
Requires:	cogl-devel >= 1.10.0
Requires:	gdk-pixbuf2-devel >= 2.0
Requires:	glib2-devel >= 1:2.31.19
Requires:	gtk+3-devel >= 3.3.18
Requires:	json-glib-devel >= 0.12.0
Requires:	pango-devel >= 1:1.20
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcomposite-devel >= 0.4
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel >= 4
Obsoletes:	clutter-cairo-devel < 1.0

%description devel
Header files for clutter library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki clutter.

%package static
Summary:	Static clutter library
Summary(pl.UTF-8):	Statyczna biblioteka clutter
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	clutter-cairo-static < 1.0

%description static
Static clutter library.

%description static -l pl.UTF-8
Statyczna biblioteka clutter.

%package apidocs
Summary:	clutter API documentation
Summary(pl.UTF-8):	Dokumentacja API clutter
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
clutter API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API clutter.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I build/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-docs \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libclutter-1.0.la

# drop unsupported locale
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/az_IR

# move to %{_examplesdir} and package in -examples?
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/clutter-1.0/cookbook/examples

%find_lang clutter-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f clutter-1.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libclutter-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclutter-1.0.so.0
%attr(755,root,root) %{_libdir}/libclutter-glx-1.0.so.0
%{_libdir}/girepository-1.0/Cally-1.0.typelib
%{_libdir}/girepository-1.0/Clutter-1.0.typelib
%{_libdir}/girepository-1.0/ClutterGdk-1.0.typelib
%{_libdir}/girepository-1.0/ClutterX11-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclutter-1.0.so
%attr(755,root,root) %{_libdir}/libclutter-glx-1.0.so
%{_includedir}/clutter-1.0
%{_datadir}/gir-1.0/Cally-1.0.gir
%{_datadir}/gir-1.0/Clutter-1.0.gir
%{_datadir}/gir-1.0/ClutterGdk-1.0.gir
%{_datadir}/gir-1.0/ClutterX11-1.0.gir
%{_pkgconfigdir}/cally-1.0.pc
%{_pkgconfigdir}/clutter-1.0.pc
%{_pkgconfigdir}/clutter-cogl-1.0.pc
%{_pkgconfigdir}/clutter-gdk-1.0.pc
%{_pkgconfigdir}/clutter-glx-1.0.pc
%{_pkgconfigdir}/clutter-x11-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libclutter-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/cally
%{_gtkdocdir}/clutter
%{_gtkdocdir}/clutter-cookbook

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clutter.spec,v $
Revision 1.59  2012/06/19 15:09:05  kiesiu
- updated to 1.10.8
- new source URL

Revision 1.58  2012/06/02 06:29:17  qboosh
- updated to 1.10.6

Revision 1.57  2012/05/07 21:37:48  kiesiu
- updated to 1.10.4

Revision 1.56  2012/04/17 16:49:17  megabajt
- updated to 1.10.2

Revision 1.55  2012/03/28 18:49:00  qboosh
- install time gtk+3 (gdk-3) dependencies

Revision 1.54  2012/03/26 19:39:28  megabajt
- merged from DEVEL

Revision 1.53.2.2  2012/03/22 21:03:42  megabajt
- removed unsupported az_IR locale

Revision 1.53.2.1  2012/03/22 18:34:22  megabajt
- updated to 1.10.0

Revision 1.53  2012/02/04 05:54:55  qboosh
- updated to 1.8.4

Revision 1.52  2011/10/17 19:38:54  kiesiu
- updated to 1.8.2

Revision 1.51  2011/10/12 18:09:00  qboosh
- updated atk/cogl/glib2 versions
- check-files cleanup

Revision 1.50  2011/09/28 21:24:50  wiget
- up to 1.8.0 (merge from DEVEL)

Revision 1.49  2011/09/15 19:42:11  kiesiu
- updated to 1.6.20

Revision 1.48.2.6  2011/09/20 09:49:58  wiget
- up to 1.8.0

Revision 1.48.2.5  2011/09/12 14:28:53  wiget
- up to 1.7.90

Revision 1.48.2.4  2011/09/06 14:42:49  wiget
- up to 1.7.14

Revision 1.48.2.3  2011/09/01 20:35:43  patrys
- 1.7.12

Revision 1.48.2.2  2011/08/22 09:50:56  patrys
- 1.7.10

Revision 1.48.2.1  2011/07/29 15:37:47  patrys
- 1.7.6

Revision 1.48  2011/06/15 15:00:01  kiesiu
- updated to 1.6.16

Revision 1.47  2011/04/05 18:16:58  megabajt
- updated to 1.6.14

Revision 1.46  2011/04/04 18:10:44  kiesiu
- updated to 1.6.12
- clutter-sh.patch is now obsolete

Revision 1.45  2011/03/22 18:50:29  qboosh
- more versioned install time deps

Revision 1.44  2011/03/22 08:30:49  caleb
- Up to 1.6.10

Revision 1.43  2011/03/07 21:46:33  wiget
- up to 1.6.8

Revision 1.42  2011/03/06 05:47:26  qboosh
- updated to 1.6.6
- added sh patch to build without bash

Revision 1.41  2011/02/26 10:27:07  patrys
- 1.6.4
- merged from DEVEL

Revision 1.37.2.4  2011/02/16 21:48:01  wiget
- up to 1.6.4

Revision 1.37.2.3  2011/02/03 14:31:21  wiget
- up to stable 1.6.0
- added missing.patch (cb_button.h missed in tarball)
- updated BRs (based on configure.ac)
- drop libtool file

Revision 1.37.2.2  2011/01/13 20:58:23  wiget
- 1.5.12

Revision 1.40  2011/01/02 19:33:26  qboosh
- verbose gir files
- updated BRs/-devel Rs

Revision 1.39  2010/12/17 11:12:13  megabajt
- package language files

Revision 1.38  2010/12/17 10:19:36  caleb
- Up to 1.4.2

Revision 1.37.2.1  2010/12/02 19:15:16  wiget
- 1.5.8 NFY

Revision 1.37  2010/09/25 13:56:23  patrys
- 1.4.0

Revision 1.36  2010/09/18 11:38:53  pawelz
- devel R: json-glib-devel
- closes lp636346 (thx Łukasz Kies)
- rel 2

Revision 1.35  2010/07/19 22:03:27  baggins
- 1.2.12

Revision 1.34  2010/06/06 13:35:05  arekm
- release 2

Revision 1.33  2010/05/10 14:55:33  megabajt
- updated to 1.2.8

Revision 1.32  2010/04/19 19:16:16  megabajt
- updated to 1.2.6

Revision 1.31  2010/03/22 18:26:08  megabajt
- updated to 1.2.4

Revision 1.30  2010/03/15 22:19:27  megabajt
- updated to 1.2.2

Revision 1.29  2010/01/30 11:13:42  megabajt
- release 3

Revision 1.28  2009/11/27 01:34:10  sparky
- BR: docbook-dtd412-xml, python-modules

Revision 1.27  2009/11/12 11:58:11  patrys
- rebuild
- rel 2

Revision 1.26  2009/10/23 18:52:18  megabajt
- fixed typo in previous commit log

Revision 1.25  2009/10/23 18:51:20  megabajt
- updated to 1.0.8

Revision 1.24  2009/09/19 17:45:32  hawk
- updated to 1.0.4

Revision 1.23  2009/08/15 12:15:16  patrys
- 1.0.2

Revision 1.22  2009/08/12 08:16:11  patrys
- epoch for pango

Revision 1.21  2009/08/12 07:55:08  patrys
- more BR:

Revision 1.20  2009/08/12 07:46:51  patrys
- 1.0.0

Revision 1.19  2009/06/17 15:01:28  hawk
- release 2

Revision 1.18  2009/03/15 18:41:49  patrys
- 0.8.8

Revision 1.17  2008/11/12 20:56:54  arekm
- release 3

Revision 1.16  2008/11/11 12:06:30  arekm
- release 2

Revision 1.15  2008/11/09 22:43:42  megabajt
- updated to 0.8.2
- added -build-fix.patch

Revision 1.14  2008/11/09 21:54:11  megabajt
- release 2

Revision 1.13  2008/06/21 14:51:28  patrys
- 0.6.4

Revision 1.12  2008-04-16 15:35:56  patrys
- 0.6.2

Revision 1.11  2008-02-19 10:11:12  patrys
- 0.6.0

Revision 1.10  2007-12-24 23:50:39  qboosh
- ghost soname symlink
- updated deps

Revision 1.9  2007-12-19 19:32:48  zbyniu
- up to 0.4.2

Revision 1.8  2007-08-07 15:39:58  patrys
- 0.4.0

Revision 1.7  2007/07/08 23:24:16  aredridel
- 0.3.1

Revision 1.6  2007/06/16 23:00:25  qboosh
- devel deps
- libtoolize
- more verbose files

Revision 1.5  2007/06/16 22:27:37  qboosh
- License is LGPL

Revision 1.4  2007/06/16 22:25:43  qboosh
- pl

Revision 1.3  2007/06/09 17:00:34  aredridel
- BRs

Revision 1.2  2007/06/09 16:57:06  aredridel
- wildcard files

Revision 1.1  2007/06/09 16:44:56  aredridel
- added
